aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools
diff options
context:
space:
mode:
authorGravatar borenet <borenet@chromium.org>2016-04-29 14:01:34 -0700
committerGravatar Commit bot <commit-bot@chromium.org>2016-04-29 14:01:34 -0700
commit43bf511ead8cb81835ad7cc16e87e5493a095eac (patch)
treedf92902bf3cb133a9e7303a76bf39c34c002123d /platform_tools
parente86e51fe7e69ae85ba52de71d19ad62f7bb87ef8 (diff)
Delete ChromeOS code
Diffstat (limited to 'platform_tools')
-rwxr-xr-xplatform_tools/chromeos/bin/build_skia_in_chroot42
-rwxr-xr-xplatform_tools/chromeos/bin/chromeos_make87
-rwxr-xr-xplatform_tools/chromeos/bin/chromeos_setup.sh59
3 files changed, 0 insertions, 188 deletions
diff --git a/platform_tools/chromeos/bin/build_skia_in_chroot b/platform_tools/chromeos/bin/build_skia_in_chroot
deleted file mode 100755
index 86f6d33841..0000000000
--- a/platform_tools/chromeos/bin/build_skia_in_chroot
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-
-# This script builds Skia inside of a ChromeOS chroot. It is intended to be run
-# either while inside the chroot or indirectly by running chromeos_make which
-# enters the chroot and runs this script.
-
-makeVars=""
-deviceID=""
-
-while (( "$#" )); do
-
- if [[ $(echo "$1" | grep "^-d$") != "" ]];
- then
- deviceID="$2"
- shift
- else
- makeVars="$makeVars $1"
- fi
-
-shift
-done
-
-SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-
-source $SCRIPT_DIR/chromeos_setup.sh
-
-setup_device $deviceID
-returnVal=$?
-if [ $returnVal != 0 ]
-then
- exit 1;
-fi
-
-python gyp_skia
-make ${makeVars}
-returnVal=$?
-if [ $returnVal != 0 ]
-then
- exit 1;
-fi
-
-echo > .cros_build_successful \ No newline at end of file
diff --git a/platform_tools/chromeos/bin/chromeos_make b/platform_tools/chromeos/bin/chromeos_make
deleted file mode 100755
index cb58a9c08f..0000000000
--- a/platform_tools/chromeos/bin/chromeos_make
+++ /dev/null
@@ -1,87 +0,0 @@
-#!/bin/bash
-
-# This script builds Skia for ChromeOS by mounting the Skia checkout inside a
-# chroot contained within an existing ChromeOS checkout, entering the chroot,
-# and running the build_skia_in_chroot script.
-
-SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-
-if [ $(uname) != "Linux" ]; then
- echo "ERROR: Can only build for ChromeOS on Linux."
- exit 1
-fi
-
-
-makeVars=""
-deviceID=""
-
-while (( "$#" )); do
-
- if [[ $(echo "$1" | grep "^-d$") != "" ]];
- then
- deviceID="$2"
- shift
- else
- makeVars="$makeVars $1"
- fi
-
-shift
-done
-
-if [[ -z "${deviceID}" ]]; then
- echo "You must provide a deviceID with -d."
- exit 1
-fi
-
-CHROMEOS_CHROOT="${SCRIPT_DIR}/../toolchain"
-
-# Get the required SDK version.
-# TODO(borenet): Should we instead get the latest from GS?
-#SDK_VERSION=$(gsutil cat gs://chromeos-image-archive/${deviceID}-release/LATEST-master)
-#SDK_VERSION=${SDK_VERSION:4}
-SDK_VERSION="4279.0.0"
-mkdir -p "${CHROMEOS_CHROOT}/src/chromeos"
-echo -n ${SDK_VERSION} > "${CHROMEOS_CHROOT}/src/chromeos/CHROMEOS_LKGM"
-
-# Download the toolchain tarball if needed.
-# TODO(borenet): Let chrome-sdk take care of this once it works with external
-# boards.
-if ! [[ -d "${CHROMEOS_CHROOT}/.cros_cache" ]]; then
- TARBALL="cros_toolchain.tgz"
- gsutil cp gs://chromium-skia-gm/chromeos-toolchains/${TARBALL} ${CHROMEOS_CHROOT}
- if [ "$?" != "0" ]
- then
- exit 1;
- fi
- pushd "${CHROMEOS_CHROOT}" > /dev/null
- tar -zxvf ${TARBALL}
- popd > /dev/null
- rm ${CHROMEOS_CHROOT}/${TARBALL}
-fi
-
-# Put a fake .gclient file in the toolchain directory so that the cros tool
-# thinks we're in a Chrome checkout.
-echo "Delete me!" > "${CHROMEOS_CHROOT}/.gclient"
-
-# We may also need a .git directory.
-GIT_DIR="${CHROMEOS_CHROOT}/src/third_party/chromite/.git"
-if ! [[ -d "${GIT_DIR}" ]]; then
- mkdir -p ${GIT_DIR}
-fi
-
-# Where the Skia code will pretend to live inside the chroot.
-SKIA_TOP_DIR="${SCRIPT_DIR}/../../.."
-
-pushd ${CHROMEOS_CHROOT}
-cros chrome-sdk --nogoma --board ${deviceID} --debug -- /bin/sh -c "cd ${SKIA_TOP_DIR}; platform_tools/chromeos/bin/build_skia_in_chroot ${makeVars}"
-popd > /dev/null
-
-# Clean up
-rm ${CHROMEOS_CHROOT}/.gclient
-
-if [ -f .cros_build_successful ]; then
- rm -rf .cros_build_successful
- exit 0
-fi
-
-exit 1 \ No newline at end of file
diff --git a/platform_tools/chromeos/bin/chromeos_setup.sh b/platform_tools/chromeos/bin/chromeos_setup.sh
deleted file mode 100755
index 41267ecb0b..0000000000
--- a/platform_tools/chromeos/bin/chromeos_setup.sh
+++ /dev/null
@@ -1,59 +0,0 @@
-# Set up the environment to build Skia for ChromeOS.
-###############################################################################
-# Copyright 2015 Google Inc.
-#
-# Use of this source code is governed by a BSD-style license that can be
-# found in the LICENSE file.
-###############################################################################
-
-function exportVar {
- NAME=$1
- VALUE=$2
- echo export $NAME=\"$VALUE\"
- export $NAME="$VALUE"
-}
-
-SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-
-# Helper function to configure the GYP defines to the appropriate values
-# based on the target device.
-setup_device() {
- # Setup the build variation depending on the target device
- TARGET_DEVICE="${SDK_BOARD}"
-
- if [ -z "$TARGET_DEVICE" ]; then
- echo "ERROR: No target device specified!"
- return 1
- fi
-
- DEFINES="OS=linux host_os=linux skia_os=chromeos skia_gpu=0"
-
- case $TARGET_DEVICE in
- link)
- DEFINES="${DEFINES} skia_arch_type=x86_64"
- GENERIC_BOARD_TYPE="amd64-generic"
- ;;
- daisy)
- DEFINES="${DEFINES} skia_arch_type=arm arm_version=7 arm_neon=1"
- # TODO(borenet): We have to define skia_warnings_as_errors=0 for the arm
- # build, which throws lots of "mangling of va_list has changed" warnings.
- DEFINES="${DEFINES} skia_warnings_as_errors=0"
- GENERIC_BOARD_TYPE="arm-generic"
- ;;
- *)
- echo -n "ERROR: unknown device specified ($TARGET_DEVICE), valid values: "
- echo "x86-alex link daisy"
- return 1;
- ;;
- esac
-
- echo "The build is targeting the device: $TARGET_DEVICE"
-
- exportVar GENERIC_BOARD_TYPE ${GENERIC_BOARD_TYPE}
- exportVar GYP_DEFINES "$DEFINES"
- exportVar GYP_GENERATORS "ninja"
- exportVar GYP_GENERATOR_FLAGS ""
- SKIA_OUT=${SKIA_OUT:-out}
- exportVar SKIA_OUT "${SKIA_OUT}/config/chromeos-${TARGET_DEVICE}"
- exportVar builddir_name "."
-}